
QGIS Application - Feature request #4355

Performing deletion on layer with feature counts turned on should not continuously update the 

feature count

2011-10-06 09:04 AM - mattwigway .

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14291

Description

Steps to reproduce:

1. Get a layer with lots of features (mine had 900).

2. Turn on editing.

3. Select many features (I selected 870).

4. Delete those features

5. Note that QGIS updates the feature count as each feature is deleted, rather than doing it once at the end.

Using QGIS 1.7 on Fedora 15, from the Fedora repositories.

Related issues:

Related to QGIS Application - Bug report # 4977: Wrong interpretation of Gaus... Closed 2012-02-10

Associated revisions

Revision 157541ed - 2012-03-30 10:36 PM - Etienne Tourigny

prefer non-deprecated crses (fixes #4355)

History

#1 - 2011-10-06 11:56 PM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

#2 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-03-30 01:43 PM - Etienne Tourigny

- Status changed from Open to Closed

#4 - 2012-03-30 01:49 PM - Jürgen Fischer

- Status changed from Closed to Open

#5 - 2012-03-30 01:53 PM - Jürgen Fischer

ouch, 4355 is the attachment number of the patch to #4977 - so the association with this ticket is wrong.

#6 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:24 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2013-10-01 07:18 AM - Etienne Tourigny

- Status changed from Open to Closed

Fixed in changeset commit:"157541ed2b025760e489dd47f7f8212fc60e3a8a".
